#language: ru

@demo_base_milk
@financial_results

Функционал: 004. financial_results. Создание документов ФинРеза

Сценарий: 004.1. financial_results. Поступление дополнительных затрат 21.02.2021

	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать поступление дополнительных затрат на дату "21.02.2021"
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Дом молока'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Нижегородское молоко'
	И в поле с именем 'НомерПоДаннымКлиента' я ввожу текст '1'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобрать'
	Тогда открылось окно 'Подбор поступлений'
	И я нажимаю кнопку выбора у поля с именем "Период"
	И Я указываю в диалоге стандартного периода период с "21.02.2021" по "21.02.2021"
	Тогда открылось окно 'Подбор поступлений'
	И я нажимаю на кнопку с именем 'ТоварыЗаполнить'
	И я нажимаю на кнопку с именем 'ФормаПередать'
	Тогда открылось окно 'Поступление доп. затрат (создание) *'
	И я перехожу к закладке с именем "СтраницаУслуги"
	И я заполняю таблицу "Услуги" данными
		| 'Количество' | 'Номенклатура'        | 'Цена, RUB' |
		| '1,000'      | 'Доставка поставщика' | '10,00'     |
	И я перехожу к закладке с именем "СтраницаТовары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыРаспределитьПоСумме'
	И Я заканчиваю создавать поступление дополнительных затрат

Сценарий: 004.2. financial_results. Создание прочих затрат №1

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Маркетинг"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                  | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Маркетинг (товарная категория)' | 'Молоко'           | '100,00'     |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.3. financial_results. Создание прочих затрат №2

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Маркетинг"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'     | 'Сумма, RUB' |
		| 'Основное направление'     | 'Маркетинг (акция)' | '50,00'      |
	* Заполение аналитики затрат маркетинговым мероприятием
		И в таблице "Затраты" я нажимаю кнопку выбора у реквизита "Аналитика затрат"
		Тогда открылось окно 'Маркетинговое мероприятие'
		И в таблице "Список" я перехожу к строке:
			| 'Организация'     | 'Статус'     |
			| 'ТД_Молочный мир' | 'Утверждена' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Прочие затраты (создание) *'
		И в таблице "Затраты" я завершаю редактирование строки
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.4. financial_results. Создание прочих затрат №3

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '70,00'      |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.5. financial_results. Создание прочих затрат №4

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                    | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '150,00'     |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.6. financial_results. Создание прочих затрат №5

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Отдел продаж"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Руководителя направления' | 'Петров П.Г.'      | '350,00'     |
		| 'Основное направление'     | 'З/П Руководителя направления' | 'Иванов А.А.'      | '150,00'     |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.7. financial_results. Создание прочих затрат №6

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Отдел продаж"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'         | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '65,00'      |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '65,00'      |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '65,00'      |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.8. financial_results. Создание прочих затрат №7

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат' | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '50,00'      |
	И Я заканчиваю создавать прочие затраты

Сценарий: 004.9. financial_results. Создание распределения затрат на Аренду

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Аренда"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.10. financial_results. Создание распределения затрат на З/П Менеджера клиента

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Менеджера клиента"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.11. financial_results. Создание распределения затрат на З/П Руководителя направления

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Руководителя направления"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.12. financial_results. Создание распределения затрат на З/П Водитель

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Водитель"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.13. financial_results. Создание распределения затрат на Маркетинг (акция)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Маркетинг (акция)"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.14. financial_results. Создание распределения затрат на Маркетинг (товарная категория)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Маркетинг (товарная категория)"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.15. financial_results. Создание распределения затрат на Транспортные расходы (бензин)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Транспортные расходы (бензин)"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.16. financial_results. Создание распределения затрат на Транспортные расходы (поставщик)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Транспортные расходы (поставщик)"
	И Я заканчиваю создавать распределение затрат

Сценарий: 004.17. financial_results. Создание Корректировки списания запасов

	И Я начинаю создавать корректировку списания запасов с "01.02.2021" по "28.02.2021" для "ТД_Молочный мир"
	И Я заканчиваю создавать корректировку списания запасов